Vehicle Databases
🇬🇧en

Vehicle Warranty API Documentation

Welcome to Vehicle Databases API's Documentation

Vehicle Warranty

GETJSON Response

Overview

Our Warranty API provides information on the type and length of any vehicles warranty when called by year, make and model. This API covers any kind of warranty, including basic, powertrain, drivetrain, corrosion, road assistance, etc.

COVERAGE
This API supports US and Canada manufacturers from year 1992 to 2026.
SUPPORT
North American region

HTTP Request

Endpoint

GEThttps://api.vehicledatabases.com/vehicle-warranty/{year}/{make}/{model}

Request

import requests
response = requests.get(
    "https://api.vehicledatabases.com/vehicle-warranty/{year}/{make}/{model}",
    headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())

GET Parameters

yearRequired
Vehicle year
makeRequired
Vehicle make
modelRequired
Vehicle model

JSON Response

The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:

Example Response

Response Fields

status
"success" or "error"
data
An object containing all data available.

Response

{
    "status": "success",
    "data": {
        "year": "2022",
        "make": "BMW",
        "model": "750",
        "warranty": {
            "Warranty - Basic (months/miles)": "48/50,000",
            "Warranty - Corrosion perforation (months/miles)": "144/ unlimited",
            "Warranty - Maintenance (months/miles)": "36/36,000",
            "Warranty - Powertrain (months/miles)": "48/50,000",
            "Warranty - Roadside assistance coverage (months/miles)": "48/ unlimited"
        }
    }
}

Error Responses

errorstatus

When an error occurs, the API returns an error status with a code and message.

400Record(s) were not found for this vehicle.Verify the year, make, and model are correct or try a different vehicle.
401Invalid API KeyCheck your API key for correctness and ensure it is properly formatted.
403Rate limit exceededYou have exceeded the number of allowed requests in a given time period. Please wait and try again.
422Validation errorOne or more parameters are invalid. Check the request parameters for correctness.
500Internal server errorAn unexpected error occurred on the server. Please try again later or contact support.